public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-03-13  7:41 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-03-13  7:41 UTC (permalink / raw
  To: gentoo-commits

commit:     1ea23f10d0bc7b27c925ac9a5375ea9ea126331c
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Sun Jan 14 15:48:48 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 13 07:41:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ea23f10

media-gfx/qimgv: new package

Closes: https://github.com/gentoo/gentoo/pull/6858

 media-gfx/qimgv/Manifest          |  1 +
 media-gfx/qimgv/metadata.xml      | 12 +++++++++++
 media-gfx/qimgv/qimgv-0.6.ebuild  | 44 +++++++++++++++++++++++++++++++++++++++
 media-gfx/qimgv/qimgv-9999.ebuild | 38 +++++++++++++++++++++++++++++++++
 4 files changed, 95 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
new file mode 100644
index 00000000000..30759212828
--- /dev/null
+++ b/media-gfx/qimgv/Manifest
@@ -0,0 +1 @@
+DIST qimgv-0.6.tar.gz 232586 BLAKE2B 077210c16906dbc746f18295f80ac8ea5f948b4abba366659826ebd0ebad1876da53be26a3855c58a2f25e2cfc02fb2ef030a74e17e89f92b2aef572e58a8e0c SHA512 50156a6bdf08e8cc82d30ad23d1deef7f0c119c970c8e577d8b0de65f6b11827e0cf57593834ae7e8887dce5d83215cbd98e9c5b8905d6a3580943e432bdb6cb

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
new file mode 100644
index 00000000000..ccef191fae1
--- /dev/null
+++ b/media-gfx/qimgv/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>jeff.no.zhao@gmail.com</email>
+		<name>Jiayi Zhao</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.6.ebuild b/media-gfx/qimgv/qimgv-0.6.ebuild
new file mode 100644
index 00000000000..1d1623a2470
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.6.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	media-video/mpv[libmpv]
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# so cmake can find binaries
+	sed -i 's/build\/qimgv/${CMAKE_BINARY_DIR}\/qimgv/' CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}

diff --git a/media-gfx/qimgv/qimgv-9999.ebuild b/media-gfx/qimgv/qimgv-9999.ebuild
new file mode 100644
index 00000000000..a5955797418
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit git-r3 cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5."
+HOMEPAGE="https://github.com/easymodo/qimgv"
+
+EGIT_REPO_URI="https://github.com/easymodo/qimgv.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	media-video/mpv[libmpv]
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-03-15 22:27 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2018-03-15 22:27 UTC (permalink / raw
  To: gentoo-commits

commit:     f97f5f44266243ec0a3b1d967f43b72ec382fb67
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Wed Mar 14 15:05:53 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Mar 15 22:27:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f97f5f44

media-gfx/qimgv: version bump 0.6.2

Package-Manager: Portage-2.3.24-r1, Repoman-2.3.6

 media-gfx/qimgv/Manifest           |  2 +-
 media-gfx/qimgv/qimgv-0.6.2.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 30759212828..eb722c477cd 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1 @@
-DIST qimgv-0.6.tar.gz 232586 BLAKE2B 077210c16906dbc746f18295f80ac8ea5f948b4abba366659826ebd0ebad1876da53be26a3855c58a2f25e2cfc02fb2ef030a74e17e89f92b2aef572e58a8e0c SHA512 50156a6bdf08e8cc82d30ad23d1deef7f0c119c970c8e577d8b0de65f6b11827e0cf57593834ae7e8887dce5d83215cbd98e9c5b8905d6a3580943e432bdb6cb
+DIST qimgv-0.6.2.tar.gz 233608 BLAKE2B 563a5a88cd870fa0f0a7ab3c426f31f889c3faf2463ad1d8404ed410d75bfcd1d89b76bc94b617246e3a42c26ccc84c7e2721278c83afde20c45f74fc47456f5 SHA512 ea553f646943b86268beaeb26116b4fad97f5462363babf6339f1e0f854140e8c9f71b957e73bfe73a9eb3e30e1b2338d21def753f63e088e9742a56550335e8

diff --git a/media-gfx/qimgv/qimgv-0.6.2.ebuild b/media-gfx/qimgv/qimgv-0.6.2.ebuild
new file mode 100644
index 00000000000..9226ed2e10a
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.6.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	media-video/mpv[libmpv]
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-03-15 22:27 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2018-03-15 22:27 UTC (permalink / raw
  To: gentoo-commits

commit:     290c7694c6edccc0d1226047a338d55e12c7f885
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Wed Mar 14 15:04:35 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Mar 15 22:27:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=290c7694

media-gfx/qimgv: remove old

Package-Manager: Portage-2.3.24-r1, Repoman-2.3.6

Closes: https://github.com/gentoo/gentoo/pull/7461

 media-gfx/qimgv/qimgv-0.6.ebuild | 44 ----------------------------------------
 1 file changed, 44 deletions(-)

diff --git a/media-gfx/qimgv/qimgv-0.6.ebuild b/media-gfx/qimgv/qimgv-0.6.ebuild
deleted file mode 100644
index 1d1623a2470..00000000000
--- a/media-gfx/qimgv/qimgv-0.6.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	media-video/mpv[libmpv]
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-src_prepare() {
-	# so cmake can find binaries
-	sed -i 's/build\/qimgv/${CMAKE_BINARY_DIR}\/qimgv/' CMakeLists.txt || die
-
-	cmake-utils_src_prepare
-}
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-04-17 19:33 Patrice Clement
  0 siblings, 0 replies; 23+ messages in thread
From: Patrice Clement @ 2018-04-17 19:33 UTC (permalink / raw
  To: gentoo-commits

commit:     849eee5cb5ca561719ecfdc3aabdad358f7ff6d7
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Mon Apr 16 20:42:03 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 19:33:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=849eee5c

media-gfx/qimgv: version bump 0.6.3.

Package-Manager: Portage-2.3.24-r1, Repoman-2.3.6

Closes: https://github.com/gentoo/gentoo/pull/8031

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/qimgv-0.6.3.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index eb722c477cd..e80800af8b1 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.6.2.tar.gz 233608 BLAKE2B 563a5a88cd870fa0f0a7ab3c426f31f889c3faf2463ad1d8404ed410d75bfcd1d89b76bc94b617246e3a42c26ccc84c7e2721278c83afde20c45f74fc47456f5 SHA512 ea553f646943b86268beaeb26116b4fad97f5462363babf6339f1e0f854140e8c9f71b957e73bfe73a9eb3e30e1b2338d21def753f63e088e9742a56550335e8
+DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301

diff --git a/media-gfx/qimgv/qimgv-0.6.3.ebuild b/media-gfx/qimgv/qimgv-0.6.3.ebuild
new file mode 100644
index 00000000000..9226ed2e10a
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.6.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	media-video/mpv[libmpv]
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-04-17 19:33 Patrice Clement
  0 siblings, 0 replies; 23+ messages in thread
From: Patrice Clement @ 2018-04-17 19:33 UTC (permalink / raw
  To: gentoo-commits

commit:     8ec56b13952924daf59726484f8d55f5a4651cbc
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Mon Apr 16 20:42:52 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 19:33:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ec56b13

media-gfx/qimgv: remove old.

Package-Manager: Portage-2.3.24-r1, Repoman-2.3.6

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/qimgv-0.6.2.ebuild | 37 -------------------------------------
 2 files changed, 38 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index e80800af8b1..d3534777deb 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.6.2.tar.gz 233608 BLAKE2B 563a5a88cd870fa0f0a7ab3c426f31f889c3faf2463ad1d8404ed410d75bfcd1d89b76bc94b617246e3a42c26ccc84c7e2721278c83afde20c45f74fc47456f5 SHA512 ea553f646943b86268beaeb26116b4fad97f5462363babf6339f1e0f854140e8c9f71b957e73bfe73a9eb3e30e1b2338d21def753f63e088e9742a56550335e8
 DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301

diff --git a/media-gfx/qimgv/qimgv-0.6.2.ebuild b/media-gfx/qimgv/qimgv-0.6.2.ebuild
deleted file mode 100644
index 9226ed2e10a..00000000000
--- a/media-gfx/qimgv/qimgv-0.6.2.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	media-video/mpv[libmpv]
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-08-15 12:12 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-08-15 12:12 UTC (permalink / raw
  To: gentoo-commits

commit:     ab83b9f017d52ec39fed312e2e6dcf463ad70da7
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Sun Aug 12 00:52:42 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 15 11:55:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab83b9f0

media-gfx/qimgv: version bump 0.7

Closes: https://github.com/gentoo/gentoo/pull/9542

 media-gfx/qimgv/Manifest         |  1 +
 media-gfx/qimgv/metadata.xml     |  4 ++++
 media-gfx/qimgv/qimgv-0.7.ebuild | 46 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index d3534777deb..b5e9cce2baa 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
+DIST qimgv-0.7.tar.gz 273405 BLAKE2B c4f497eb132eeefa161e328f1ce246ff0a369e21b895cf85b68a69aaf446289ae0fc1170be9c424c32fc8659c196d1c7542938813edef30ea30f4e8509f22cfe SHA512 35fb8fbba75e08dad945fcbc679f449894c6eafc01ab0166b1929956dca636ccd25ba261c22c58a4d283aafa0690ca2c1f672092fc40c5b532f41944e4b0a9e3

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index ccef191fae1..21ece4b8101 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -9,4 +9,8 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
+
+	<use>
+		<flag name="video">Add support for gif/webm playback via libmpv</flag>
+	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.7.ebuild b/media-gfx/qimgv/qimgv-0.7.ebuild
new file mode 100644
index 00000000000..7af9daad7bf
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.7.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde video"
+
+RDEPEND="
+	>=dev-qt/qtconcurrent-5.10.0
+	>=dev-qt/qtcore-5.10.0
+	>=dev-qt/qtgui-5.10.0
+	>=dev-qt/qtwidgets-5.10.0
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	video? ( media-video/mpv[libmpv] )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local mycmakeargs=(
+		-DKDE_BLUR=$(usex kde)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-10-13 11:20 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-10-13 11:20 UTC (permalink / raw
  To: gentoo-commits

commit:     a15ba9cb84c9c8e3fe61d5134e16bd1c40ec6f03
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Fri Oct  5 01:20:04 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 11:12:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a15ba9cb

media-gfx/qimgv: remove old 0.6.3

Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/10071

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/qimgv-0.6.3.ebuild | 37 -------------------------------------
 2 files changed, 38 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 5b038059b86..4a0c7a38529 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
 DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630

diff --git a/media-gfx/qimgv/qimgv-0.6.3.ebuild b/media-gfx/qimgv/qimgv-0.6.3.ebuild
deleted file mode 100644
index 9226ed2e10a..00000000000
--- a/media-gfx/qimgv/qimgv-0.6.3.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	media-video/mpv[libmpv]
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-10-13 11:20 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-10-13 11:20 UTC (permalink / raw
  To: gentoo-commits

commit:     2d623379fa9830f9544c5fe7591c6b408c903bee
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Fri Oct  5 01:15:24 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 11:12:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d623379

media-gfx/qimgv: version bump 0.7.1

Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/qimgv-0.7.1.ebuild | 53 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index b5e9cce2baa..c857392d342 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1,3 @@
 DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
+DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
 DIST qimgv-0.7.tar.gz 273405 BLAKE2B c4f497eb132eeefa161e328f1ce246ff0a369e21b895cf85b68a69aaf446289ae0fc1170be9c424c32fc8659c196d1c7542938813edef30ea30f4e8509f22cfe SHA512 35fb8fbba75e08dad945fcbc679f449894c6eafc01ab0166b1929956dca636ccd25ba261c22c58a4d283aafa0690ca2c1f672092fc40c5b532f41944e4b0a9e3

diff --git a/media-gfx/qimgv/qimgv-0.7.1.ebuild b/media-gfx/qimgv/qimgv-0.7.1.ebuild
new file mode 100644
index 00000000000..dc7afe79d53
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.7.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde video"
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	video? ( media-video/mpv[libmpv] )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	eapply_user
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DKDE_BLUR=$(usex kde)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2018-10-13 11:20 Michał Górny
  0 siblings, 0 replies; 23+ messages in thread
From: Michał Górny @ 2018-10-13 11:20 UTC (permalink / raw
  To: gentoo-commits

commit:     9514fd5a5db53b8d68711cd55457f2becd1c39b9
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Fri Oct  5 01:18:23 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct 13 11:12:29 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9514fd5a

media-gfx/qimgv: remove old 0.7

Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 media-gfx/qimgv/Manifest         |  1 -
 media-gfx/qimgv/qimgv-0.7.ebuild | 46 ----------------------------------------
 2 files changed, 47 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index c857392d342..5b038059b86 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,3 +1,2 @@
 DIST qimgv-0.6.3.tar.gz 238521 BLAKE2B 55da7c0e7b18547e7c2e2ab76f0a535c655c898707641c896469a07040e8f7f1a6e80580143016e24cdc0a7d9e2287c0d081ca8d262337faeea5d02168796a8e SHA512 c18ed0678bc094fedb339cfa227a5ddace6728b724f7640e4b018e52aa49dfb80d18879b372ab25bbf9e8c38497999471ba35a9bea5cd6b18d5ccbf1e55f3301
 DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
-DIST qimgv-0.7.tar.gz 273405 BLAKE2B c4f497eb132eeefa161e328f1ce246ff0a369e21b895cf85b68a69aaf446289ae0fc1170be9c424c32fc8659c196d1c7542938813edef30ea30f4e8509f22cfe SHA512 35fb8fbba75e08dad945fcbc679f449894c6eafc01ab0166b1929956dca636ccd25ba261c22c58a4d283aafa0690ca2c1f672092fc40c5b532f41944e4b0a9e3

diff --git a/media-gfx/qimgv/qimgv-0.7.ebuild b/media-gfx/qimgv/qimgv-0.7.ebuild
deleted file mode 100644
index 7af9daad7bf..00000000000
--- a/media-gfx/qimgv/qimgv-0.7.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="kde video"
-
-RDEPEND="
-	>=dev-qt/qtconcurrent-5.10.0
-	>=dev-qt/qtcore-5.10.0
-	>=dev-qt/qtgui-5.10.0
-	>=dev-qt/qtwidgets-5.10.0
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	video? ( media-video/mpv[libmpv] )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-src_configure() {
-	local mycmakeargs=(
-		-DKDE_BLUR=$(usex kde)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake-utils_src_configure
-}
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-02-28 14:39 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2019-02-28 14:39 UTC (permalink / raw
  To: gentoo-commits

commit:     33cd78b3f069d03888e69b0fbfcb69fcd84505a5
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Sun Jan 13 16:55:08 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 14:39:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33cd78b3

media-gfx/qimgv: version bump 0.7.3

Package-Manager: Portage-2.3.51-r1, Repoman-2.3.11
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/10824
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/metadata.xml       |  1 +
 media-gfx/qimgv/qimgv-0.7.3.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 4a0c7a38529..df250099b4b 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
+DIST qimgv-0.7.3.tar.gz 266307 BLAKE2B b13794f4bd7ff8b2c9309f95453baa65f91c60d155e22a86eac1eb79b3dc7f9da003dbfdbfc2d14cbb6242c769516283785ed72e2f50d5bb51b394db05c167b8 SHA512 fae7986ce29941232dd2863a0900651fb3a7d6d184b05e763670b16c74bb0cc27ce6eb936b2a41a2183e3dc5c33006e3fe3491ed043c6e357ea31d6a716d80e0

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index 21ece4b8101..20b86eae5e7 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -12,5 +12,6 @@
 
 	<use>
 		<flag name="video">Add support for gif/webm playback via libmpv</flag>
+		<flag name="blur">Add support for background blur</flag>
 	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.7.3.ebuild b/media-gfx/qimgv/qimgv-0.7.3.ebuild
new file mode 100644
index 00000000000..002bdbd7f4f
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.7.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kde video"
+
+RDEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	video? ( media-video/mpv[libmpv] )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DKDE_SUPPORT=$(usex kde)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-02-28 14:39 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2019-02-28 14:39 UTC (permalink / raw
  To: gentoo-commits

commit:     cc84e33ee20665fc6819c08fdd5997d18bea3c6d
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Wed Feb  6 02:23:31 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 28 14:39:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc84e33e

media-gfx/qimgv: remove old 0.7.1

Package-Manager: Portage-2.3.51-r1, Repoman-2.3.11
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/metadata.xml       |  1 -
 media-gfx/qimgv/qimgv-0.7.1.ebuild | 53 --------------------------------------
 3 files changed, 55 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index df250099b4b..e5c1aeaa1aa 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.7.1.tar.gz 273529 BLAKE2B 60f1f87c3347333f76224046776ca4303a03286593191feb18791dd7065ba714db387a1f8cbf6f16f04cab7190645edee4aba11f13d1ce6c0cb52d9b79042f18 SHA512 dd142377aca7248d00ac51d0732de94106e7471973de45d66e8905c476e5eb5f3543e98b1322390dc54946e7c518c1a8711bcde46fb67c376808e4049b22a630
 DIST qimgv-0.7.3.tar.gz 266307 BLAKE2B b13794f4bd7ff8b2c9309f95453baa65f91c60d155e22a86eac1eb79b3dc7f9da003dbfdbfc2d14cbb6242c769516283785ed72e2f50d5bb51b394db05c167b8 SHA512 fae7986ce29941232dd2863a0900651fb3a7d6d184b05e763670b16c74bb0cc27ce6eb936b2a41a2183e3dc5c33006e3fe3491ed043c6e357ea31d6a716d80e0

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index 20b86eae5e7..21ece4b8101 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -12,6 +12,5 @@
 
 	<use>
 		<flag name="video">Add support for gif/webm playback via libmpv</flag>
-		<flag name="blur">Add support for background blur</flag>
 	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.7.1.ebuild b/media-gfx/qimgv/qimgv-0.7.1.ebuild
deleted file mode 100644
index dc7afe79d53..00000000000
--- a/media-gfx/qimgv/qimgv-0.7.1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="kde video"
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	video? ( media-video/mpv[libmpv] )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-src_prepare() {
-	eapply_user
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
-	cmake-utils_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DKDE_BLUR=$(usex kde)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake-utils_src_configure
-}
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-09-08  7:19 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2019-09-08  7:19 UTC (permalink / raw
  To: gentoo-commits

commit:     b9d35c1479df5b718a47f506dc5c7975720f1c20
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Mon Sep  2 22:39:45 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Sep  8 07:19:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9d35c14

media-gfx/qimgv: remove old 0.7.3

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/12848
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/metadata.xml       |  4 ---
 media-gfx/qimgv/qimgv-0.7.3.ebuild | 52 --------------------------------------
 3 files changed, 57 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 91a4f6e5dd5..424ee1d3f6c 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.7.3.tar.gz 266307 BLAKE2B b13794f4bd7ff8b2c9309f95453baa65f91c60d155e22a86eac1eb79b3dc7f9da003dbfdbfc2d14cbb6242c769516283785ed72e2f50d5bb51b394db05c167b8 SHA512 fae7986ce29941232dd2863a0900651fb3a7d6d184b05e763670b16c74bb0cc27ce6eb936b2a41a2183e3dc5c33006e3fe3491ed043c6e357ea31d6a716d80e0
 DIST qimgv-0.8.2.tar.gz 237098 BLAKE2B da71da019e87041cfa9f21592827e5a5623b2088e1349e534c437b0d5e50377980279fe99b7a18fb447c99ddb643a15c418fcfa2f261d3a559c639f560add0c4 SHA512 e80caa356cd2c7607a1d92a4ef4a79486ed504adb8ae454557e6a94d1d3ca5c023b78921e49777b1a06ca82556255d51357948281aae6a671ec01c597492a2cf

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index 21ece4b8101..ccef191fae1 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -9,8 +9,4 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
-
-	<use>
-		<flag name="video">Add support for gif/webm playback via libmpv</flag>
-	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.7.3.ebuild b/media-gfx/qimgv/qimgv-0.7.3.ebuild
deleted file mode 100644
index 002bdbd7f4f..00000000000
--- a/media-gfx/qimgv/qimgv-0.7.3.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="kde video"
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	video? ( media-video/mpv[libmpv] )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -O3")/d' CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DKDE_SUPPORT=$(usex kde)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake-utils_src_configure
-}
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-09-08  7:19 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2019-09-08  7:19 UTC (permalink / raw
  To: gentoo-commits

commit:     f7311589c2ae141558d355e974b3d6aaefbb83b3
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Mon Sep  2 22:37:05 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Sep  8 07:19:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7311589

media-gfx/qimgv: version bump 0.8.2

 - remove video use flag as build system no longer accounts for it
 - add exif use flag

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/qimgv-0.8.2.ebuild | 56 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index e5c1aeaa1aa..91a4f6e5dd5 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.7.3.tar.gz 266307 BLAKE2B b13794f4bd7ff8b2c9309f95453baa65f91c60d155e22a86eac1eb79b3dc7f9da003dbfdbfc2d14cbb6242c769516283785ed72e2f50d5bb51b394db05c167b8 SHA512 fae7986ce29941232dd2863a0900651fb3a7d6d184b05e763670b16c74bb0cc27ce6eb936b2a41a2183e3dc5c33006e3fe3491ed043c6e357ea31d6a716d80e0
+DIST qimgv-0.8.2.tar.gz 237098 BLAKE2B da71da019e87041cfa9f21592827e5a5623b2088e1349e534c437b0d5e50377980279fe99b7a18fb447c99ddb643a15c418fcfa2f261d3a559c639f560add0c4 SHA512 e80caa356cd2c7607a1d92a4ef4a79486ed504adb8ae454557e6a94d1d3ca5c023b78921e49777b1a06ca82556255d51357948281aae6a671ec01c597492a2cf

diff --git a/media-gfx/qimgv/qimgv-0.8.2.ebuild b/media-gfx/qimgv/qimgv-0.8.2.ebuild
new file mode 100644
index 00000000000..52a5b418e7b
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.8.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif kde"
+
+BDEPEND="
+	dev-util/cmake
+	virtual/pkgconfig
+"
+DEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	media-video/mpv[libmpv]
+	exif? ( media-libs/libexif )
+	kde? ( kde-frameworks/kwindowsystem:5 )
+"
+RDEPEND="
+	${DEPEND}
+"
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DEXIV2=$(usex exif)
+		-DKDE_SUPPORT=$(usex kde)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-10-04  5:39 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2019-10-04  5:39 UTC (permalink / raw
  To: gentoo-commits

commit:     d0d289287aad7c4096edcdb50101f7e113f46723
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Wed Oct  2 15:59:17 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Oct  4 05:39:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0d28928

media-gfx/qimgv: remove old 0.8.2

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/13124
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/qimgv-0.8.2.ebuild | 56 --------------------------------------
 2 files changed, 57 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index b2668420d91..d974a51f05e 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.8.2.tar.gz 237098 BLAKE2B da71da019e87041cfa9f21592827e5a5623b2088e1349e534c437b0d5e50377980279fe99b7a18fb447c99ddb643a15c418fcfa2f261d3a559c639f560add0c4 SHA512 e80caa356cd2c7607a1d92a4ef4a79486ed504adb8ae454557e6a94d1d3ca5c023b78921e49777b1a06ca82556255d51357948281aae6a671ec01c597492a2cf
 DIST qimgv-0.8.5.tar.gz 242650 BLAKE2B 25ac2854b0c35e2288b0e770559bac5ac0152df1e73b025fe99609e3f7126ad0c5342a6f87dd34b0847b22031ca77db7b98b1ef8b9c278fcbebb395454d426a4 SHA512 f4c3df7db433eca04ed0827039a02fcbb6e0d5b2f696010351dc6238c39b7a08784780ad8d56f3701d13506dd6c64671ce361817928d7fb2bb25b88c3f3d32ce

diff --git a/media-gfx/qimgv/qimgv-0.8.2.ebuild b/media-gfx/qimgv/qimgv-0.8.2.ebuild
deleted file mode 100644
index 52a5b418e7b..00000000000
--- a/media-gfx/qimgv/qimgv-0.8.2.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="exif kde"
-
-BDEPEND="
-	dev-util/cmake
-	virtual/pkgconfig
-"
-DEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	media-video/mpv[libmpv]
-	exif? ( media-libs/libexif )
-	kde? ( kde-frameworks/kwindowsystem:5 )
-"
-RDEPEND="
-	${DEPEND}
-"
-
-src_prepare() {
-	cmake-utils_src_prepare
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DEXIV2=$(usex exif)
-		-DKDE_SUPPORT=$(usex kde)
-	)
-	cmake-utils_src_configure
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-10-04  5:39 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2019-10-04  5:39 UTC (permalink / raw
  To: gentoo-commits

commit:     58afdafd6fbaf8a6da08e13b256bf4773f92d7d1
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Wed Oct  2 15:42:40 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Oct  4 05:39:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58afdafd

media-gfx/qimgv: version bump 0.8.5

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/metadata.xml       |  3 ++
 media-gfx/qimgv/qimgv-0.8.5.ebuild | 56 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 424ee1d3f6c..b2668420d91 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.8.2.tar.gz 237098 BLAKE2B da71da019e87041cfa9f21592827e5a5623b2088e1349e534c437b0d5e50377980279fe99b7a18fb447c99ddb643a15c418fcfa2f261d3a559c639f560add0c4 SHA512 e80caa356cd2c7607a1d92a4ef4a79486ed504adb8ae454557e6a94d1d3ca5c023b78921e49777b1a06ca82556255d51357948281aae6a671ec01c597492a2cf
+DIST qimgv-0.8.5.tar.gz 242650 BLAKE2B 25ac2854b0c35e2288b0e770559bac5ac0152df1e73b025fe99609e3f7126ad0c5342a6f87dd34b0847b22031ca77db7b98b1ef8b9c278fcbebb395454d426a4 SHA512 f4c3df7db433eca04ed0827039a02fcbb6e0d5b2f696010351dc6238c39b7a08784780ad8d56f3701d13506dd6c64671ce361817928d7fb2bb25b88c3f3d32ce

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index ccef191fae1..840ab55fbe9 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -9,4 +9,7 @@
 		<email>proxy-maint@gentoo.org</email>
 		<name>Proxy Maintainers</name>
 	</maintainer>
+	<use>
+		<flag name="video">Add support for gif/webm playback via libmpv</flag>
+	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.8.5.ebuild b/media-gfx/qimgv/qimgv-0.8.5.ebuild
new file mode 100644
index 00000000000..81ac18fca86
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.8.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif kde video"
+
+BDEPEND="
+	virtual/pkgconfig
+"
+DEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	exif? ( media-gfx/exiv2 )
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	video? ( media-video/mpv[libmpv] )
+"
+RDEPEND="
+	${DEPEND}
+"
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DEXIV2=$(usex exif)
+		-DKDE_SUPPORT=$(usex kde)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2019-12-29 23:48 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2019-12-29 23:48 UTC (permalink / raw
  To: gentoo-commits

commit:     7b3cef697d4af630a8fbe4d31aa9858a3ae43fa6
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Sat Dec 28 20:19:49 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 23:48:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b3cef69

media-gfx/qimgv: version bump 0.8.8

Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/14157
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/qimgv-0.8.8.ebuild | 56 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index d974a51f05e..184ebbc4abe 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.8.5.tar.gz 242650 BLAKE2B 25ac2854b0c35e2288b0e770559bac5ac0152df1e73b025fe99609e3f7126ad0c5342a6f87dd34b0847b22031ca77db7b98b1ef8b9c278fcbebb395454d426a4 SHA512 f4c3df7db433eca04ed0827039a02fcbb6e0d5b2f696010351dc6238c39b7a08784780ad8d56f3701d13506dd6c64671ce361817928d7fb2bb25b88c3f3d32ce
+DIST qimgv-0.8.8.tar.gz 460682 BLAKE2B fb701fbb336bf8e51751f677f7fddfd7eb0e1b770697ee510c0008a3ebddb0a3948d5a3f6f57a676dfa3117ca03b908cc3f88bcaec16a07000108279bd5fed80 SHA512 376f79eba2a625eb0f622494ce7ba98e1182b43cc6d7e268382c794a74d2772bd17083ac9ae45fcafc5eeb0665ef06ab34bdbeee8401a35bd0652744c576e131

diff --git a/media-gfx/qimgv/qimgv-0.8.8.ebuild b/media-gfx/qimgv/qimgv-0.8.8.ebuild
new file mode 100644
index 00000000000..e605fa5db2f
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.8.8.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif kde video"
+
+BDEPEND="
+	virtual/pkgconfig
+"
+DEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	exif? ( media-gfx/exiv2:= )
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	video? ( media-video/mpv[libmpv] )
+"
+RDEPEND="
+	${DEPEND}
+"
+
+src_prepare() {
+	cmake-utils_src_prepare
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DEXIV2=$(usex exif)
+		-DKDE_SUPPORT=$(usex kde)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2020-03-12 15:42 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2020-03-12 15:42 UTC (permalink / raw
  To: gentoo-commits

commit:     a7122c693c53b16bbac7154af16383fbaa6752cb
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 12 15:20:21 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Mar 12 15:41:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7122c69

media-gfx/qimgv: Drop 0.8.5

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/qimgv-0.8.5.ebuild | 56 --------------------------------------
 2 files changed, 57 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 184ebbc4abe..e274fc2a7cd 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.8.5.tar.gz 242650 BLAKE2B 25ac2854b0c35e2288b0e770559bac5ac0152df1e73b025fe99609e3f7126ad0c5342a6f87dd34b0847b22031ca77db7b98b1ef8b9c278fcbebb395454d426a4 SHA512 f4c3df7db433eca04ed0827039a02fcbb6e0d5b2f696010351dc6238c39b7a08784780ad8d56f3701d13506dd6c64671ce361817928d7fb2bb25b88c3f3d32ce
 DIST qimgv-0.8.8.tar.gz 460682 BLAKE2B fb701fbb336bf8e51751f677f7fddfd7eb0e1b770697ee510c0008a3ebddb0a3948d5a3f6f57a676dfa3117ca03b908cc3f88bcaec16a07000108279bd5fed80 SHA512 376f79eba2a625eb0f622494ce7ba98e1182b43cc6d7e268382c794a74d2772bd17083ac9ae45fcafc5eeb0665ef06ab34bdbeee8401a35bd0652744c576e131

diff --git a/media-gfx/qimgv/qimgv-0.8.5.ebuild b/media-gfx/qimgv/qimgv-0.8.5.ebuild
deleted file mode 100644
index 71f3879d118..00000000000
--- a/media-gfx/qimgv/qimgv-0.8.5.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="exif kde video"
-
-BDEPEND="
-	virtual/pkgconfig
-"
-DEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	exif? ( media-gfx/exiv2 )
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	video? ( media-video/mpv[libmpv] )
-"
-RDEPEND="
-	${DEPEND}
-"
-
-src_prepare() {
-	cmake_src_prepare
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DEXIV2=$(usex exif)
-		-DKDE_SUPPORT=$(usex kde)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake_src_configure
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2020-06-16 13:39 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2020-06-16 13:39 UTC (permalink / raw
  To: gentoo-commits

commit:     7c4e5282172679ba9b36416191b47ab75401ede8
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 16 13:35:15 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jun 16 13:38:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c4e5282

media-gfx/qimgv: Drop unmaintained live ebuild

Bug: https://bugs.gentoo.org/712248
Package-Manager: Portage-2.3.101, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/qimgv-9999.ebuild | 38 --------------------------------------
 1 file changed, 38 deletions(-)

diff --git a/media-gfx/qimgv/qimgv-9999.ebuild b/media-gfx/qimgv/qimgv-9999.ebuild
deleted file mode 100644
index a5955797418..00000000000
--- a/media-gfx/qimgv/qimgv-9999.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit git-r3 cmake-utils gnome2-utils xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support. Written in qt5."
-HOMEPAGE="https://github.com/easymodo/qimgv"
-
-EGIT_REPO_URI="https://github.com/easymodo/qimgv.git"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS=""
-IUSE=""
-
-RDEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	media-video/mpv[libmpv]
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-"
-
-pkg_postinst() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2020-07-05  8:24 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2020-07-05  8:24 UTC (permalink / raw
  To: gentoo-commits

commit:     a2051c787a95f86779380ad3e703dbde6b88dba9
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Tue Jun 30 23:26:13 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jul  5 08:24:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2051c78

media-gfx/qimgv: remove old 0.8.8

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16518
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 -
 media-gfx/qimgv/qimgv-0.8.8.ebuild | 56 --------------------------------------
 2 files changed, 57 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 7d3b2eb47e7..278f8df3af1 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1,2 +1 @@
-DIST qimgv-0.8.8.tar.gz 460682 BLAKE2B fb701fbb336bf8e51751f677f7fddfd7eb0e1b770697ee510c0008a3ebddb0a3948d5a3f6f57a676dfa3117ca03b908cc3f88bcaec16a07000108279bd5fed80 SHA512 376f79eba2a625eb0f622494ce7ba98e1182b43cc6d7e268382c794a74d2772bd17083ac9ae45fcafc5eeb0665ef06ab34bdbeee8401a35bd0652744c576e131
 DIST qimgv-0.9.1.tar.gz 670033 BLAKE2B c1461791af4e6f73e36ec85968102e694f87acc904d270292ce8133206f9987f061ed02045d19058f76e448ce0410e9ffa38341253342b63b8a521183abaa1c5 SHA512 dbad56ebced421cafe6f5e03314fed5ed47e1c98405bac24a89f28f2684484af4f1fa6cc2b37f79e6afa7a1375f76881a8072646405691a47750a95032e02e2b

diff --git a/media-gfx/qimgv/qimgv-0.8.8.ebuild b/media-gfx/qimgv/qimgv-0.8.8.ebuild
deleted file mode 100644
index b5ebae29234..00000000000
--- a/media-gfx/qimgv/qimgv-0.8.8.ebuild
+++ /dev/null
@@ -1,56 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake xdg-utils
-
-DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="exif kde video"
-
-BDEPEND="
-	virtual/pkgconfig
-"
-DEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtwidgets:5
-	exif? ( media-gfx/exiv2:= )
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	video? ( media-video/mpv[libmpv] )
-"
-RDEPEND="
-	${DEPEND}
-"
-
-src_prepare() {
-	cmake_src_prepare
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DEXIV2=$(usex exif)
-		-DKDE_SUPPORT=$(usex kde)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake_src_configure
-}
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2020-07-05  8:24 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2020-07-05  8:24 UTC (permalink / raw
  To: gentoo-commits

commit:     c859ad3e6647dc5d3c6f2abfdf49c5c578aa988a
Author:     Jiayi Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Tue Jun 30 23:23:15 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jul  5 08:24:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c859ad3e

media-gfx/qimgv: version bump 0.9.1

 - add opencv use flag

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest           |  1 +
 media-gfx/qimgv/metadata.xml       |  1 +
 media-gfx/qimgv/qimgv-0.9.1.ebuild | 58 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index e274fc2a7cd..7d3b2eb47e7 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
 DIST qimgv-0.8.8.tar.gz 460682 BLAKE2B fb701fbb336bf8e51751f677f7fddfd7eb0e1b770697ee510c0008a3ebddb0a3948d5a3f6f57a676dfa3117ca03b908cc3f88bcaec16a07000108279bd5fed80 SHA512 376f79eba2a625eb0f622494ce7ba98e1182b43cc6d7e268382c794a74d2772bd17083ac9ae45fcafc5eeb0665ef06ab34bdbeee8401a35bd0652744c576e131
+DIST qimgv-0.9.1.tar.gz 670033 BLAKE2B c1461791af4e6f73e36ec85968102e694f87acc904d270292ce8133206f9987f061ed02045d19058f76e448ce0410e9ffa38341253342b63b8a521183abaa1c5 SHA512 dbad56ebced421cafe6f5e03314fed5ed47e1c98405bac24a89f28f2684484af4f1fa6cc2b37f79e6afa7a1375f76881a8072646405691a47750a95032e02e2b

diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index 840ab55fbe9..09edd32618c 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -10,6 +10,7 @@
 		<name>Proxy Maintainers</name>
 	</maintainer>
 	<use>
+		<flag name="opencv">Enable HQ scaling via <pkg>media-libs/opencv</pkg></flag>
 		<flag name="video">Add support for gif/webm playback via libmpv</flag>
 	</use>
 </pkgmetadata>

diff --git a/media-gfx/qimgv/qimgv-0.9.1.ebuild b/media-gfx/qimgv/qimgv-0.9.1.ebuild
new file mode 100644
index 00000000000..1652efc8f40
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.9.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif kde opencv video"
+
+BDEPEND="
+	virtual/pkgconfig
+"
+DEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	exif? ( media-gfx/exiv2:= )
+	kde? ( kde-frameworks/kwindowsystem:5 )
+	opencv? ( media-libs/opencv:= )
+	video? ( media-video/mpv[libmpv] )
+"
+RDEPEND="
+	${DEPEND}
+"
+
+src_prepare() {
+	cmake_src_prepare
+	# respect make.conf CXXFLAGS
+	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DEXIV2=$(usex exif)
+		-DKDE_SUPPORT=$(usex kde)
+		-DOPENCV_SUPPORT=$(usex opencv)
+		-DVIDEO_SUPPORT=$(usex video)
+	)
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2021-10-02 13:34 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2021-10-02 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     2f21620552d1ca93464c15b8fb74e7cc94a9c663
Author:     Jeff Zhao <jeff.no.zhao <AT> gmail <DOT> com>
AuthorDate: Sun Sep 26 21:53:18 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Oct  2 13:34:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f216205

media-gfx/qimgv: version bump 1.0.2

Package-Manager: Portage-3.0.20-r6, Repoman-3.0.3-r1
Signed-off-by: Jiayi Zhao <jeff.no.zhao <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/22416
Closes: https://bugs.gentoo.org/717532
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/Manifest                           |  2 +-
 .../{qimgv-0.9.1.ebuild => qimgv-1.0.2.ebuild}     | 24 +++++-----------------
 2 files changed, 6 insertions(+), 20 deletions(-)

diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 278f8df3af1..6df2adfa841 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1 @@
-DIST qimgv-0.9.1.tar.gz 670033 BLAKE2B c1461791af4e6f73e36ec85968102e694f87acc904d270292ce8133206f9987f061ed02045d19058f76e448ce0410e9ffa38341253342b63b8a521183abaa1c5 SHA512 dbad56ebced421cafe6f5e03314fed5ed47e1c98405bac24a89f28f2684484af4f1fa6cc2b37f79e6afa7a1375f76881a8072646405691a47750a95032e02e2b
+DIST qimgv-1.0.2.tar.gz 681034 BLAKE2B 49faf11baf526e2221d1ed05a7523c452c32586900611db1823e2a50daadb14034d0b9a1363596dabde5b4b6dfd2ead8e285d1a82129bf2deda1a0c43907ffc6 SHA512 3e10a87f28f7187251c93c92b418ee34e4c2b373b0dd957604fd46305237dc52fd7e17880507b3a0d757c0c3800e8185b6085f15f6f05db6d29cae1e67044b58

diff --git a/media-gfx/qimgv/qimgv-0.9.1.ebuild b/media-gfx/qimgv/qimgv-1.0.2.ebuild
similarity index 69%
rename from media-gfx/qimgv/qimgv-0.9.1.ebuild
rename to media-gfx/qimgv/qimgv-1.0.2.ebuild
index 1652efc8f40..e24eebb295f 100644
--- a/media-gfx/qimgv/qimgv-0.9.1.ebuild
+++ b/media-gfx/qimgv/qimgv-1.0.2.ebuild
@@ -1,15 +1,15 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit cmake xdg-utils
+inherit cmake xdg xdg-utils
 
 DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
 HOMEPAGE="https://github.com/easymodo/qimgv"
 SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
-LICENSE="GPL-3"
+LICENSE="GPL-3 BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="exif kde opencv video"
@@ -21,6 +21,8 @@ DEPEND="
 	dev-qt/qtconcurrent:5
 	dev-qt/qtcore:5
 	dev-qt/qtgui:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtsvg:5
 	dev-qt/qtwidgets:5
 	exif? ( media-gfx/exiv2:= )
 	kde? ( kde-frameworks/kwindowsystem:5 )
@@ -31,12 +33,6 @@ RDEPEND="
 	${DEPEND}
 "
 
-src_prepare() {
-	cmake_src_prepare
-	# respect make.conf CXXFLAGS
-	sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
-}
-
 src_configure() {
 	local mycmakeargs=(
 		-DEXIV2=$(usex exif)
@@ -46,13 +42,3 @@ src_configure() {
 	)
 	cmake_src_configure
 }
-
-pkg_postinst() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2021-10-02 13:34 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2021-10-02 13:34 UTC (permalink / raw
  To: gentoo-commits

commit:     b246e69266874704a03edd81561877924c4bc6b1
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  2 13:33:26 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Oct  2 13:34:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b246e692

media-gfx/qimgv: drop duplicate eclass inherit from 1.0.2

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/qimgv/qimgv-1.0.2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-gfx/qimgv/qimgv-1.0.2.ebuild b/media-gfx/qimgv/qimgv-1.0.2.ebuild
index e24eebb295f..2593b48c2c2 100644
--- a/media-gfx/qimgv/qimgv-1.0.2.ebuild
+++ b/media-gfx/qimgv/qimgv-1.0.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-inherit cmake xdg xdg-utils
+inherit cmake xdg
 
 DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
 HOMEPAGE="https://github.com/easymodo/qimgv"


^ permalink raw reply related	[flat|nested] 23+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/
@ 2023-06-12 17:45 Andreas Sturmlechner
  0 siblings, 0 replies; 23+ messages in thread
From: Andreas Sturmlechner @ 2023-06-12 17:45 UTC (permalink / raw
  To: gentoo-commits

commit:     016f88bd556c8726f9d3e72d3d9ba0e167e5b26a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 16:57:43 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 17:44:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=016f88bd

media-gfx/qimgv: drop 1.0.2-r1

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/qimgv/qimgv-1.0.2-r1.ebuild | 48 -----------------------------------
 1 file changed, 48 deletions(-)

diff --git a/media-gfx/qimgv/qimgv-1.0.2-r1.ebuild b/media-gfx/qimgv/qimgv-1.0.2-r1.ebuild
deleted file mode 100644
index d988cd8f2de4..000000000000
--- a/media-gfx/qimgv/qimgv-1.0.2-r1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake xdg
-
-DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
-HOMEPAGE="https://github.com/easymodo/qimgv"
-SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3 BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="exif kde opencv video"
-
-BDEPEND="
-	virtual/pkgconfig
-"
-DEPEND="
-	dev-qt/qtconcurrent:5
-	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtprintsupport:5
-	dev-qt/qtsvg:5
-	dev-qt/qtwidgets:5
-	exif? ( media-gfx/exiv2:= )
-	kde? ( kde-frameworks/kwindowsystem:5 )
-	opencv? ( media-libs/opencv:= )
-	video? ( media-video/mpv:=[libmpv] )
-"
-RDEPEND="
-	${DEPEND}
-"
-
-PATCHES=(
-	"${FILESDIR}"/${P}-libmpv-api2.patch
-)
-
-src_configure() {
-	local mycmakeargs=(
-		-DEXIV2=$(usex exif)
-		-DKDE_SUPPORT=$(usex kde)
-		-DOPENCV_SUPPORT=$(usex opencv)
-		-DVIDEO_SUPPORT=$(usex video)
-	)
-	cmake_src_configure
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread

end of thread, other threads:[~2023-06-12 17:45 UTC | newest]

Thread overview: 23+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-03-13  7:41 [gentoo-commits] repo/gentoo:master commit in: media-gfx/qimgv/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2018-03-15 22:27 Andreas Sturmlechner
2018-03-15 22:27 Andreas Sturmlechner
2018-04-17 19:33 Patrice Clement
2018-04-17 19:33 Patrice Clement
2018-08-15 12:12 Michał Górny
2018-10-13 11:20 Michał Górny
2018-10-13 11:20 Michał Górny
2018-10-13 11:20 Michał Górny
2019-02-28 14:39 Andreas Sturmlechner
2019-02-28 14:39 Andreas Sturmlechner
2019-09-08  7:19 Joonas Niilola
2019-09-08  7:19 Joonas Niilola
2019-10-04  5:39 Joonas Niilola
2019-10-04  5:39 Joonas Niilola
2019-12-29 23:48 Andreas Sturmlechner
2020-03-12 15:42 Andreas Sturmlechner
2020-06-16 13:39 Andreas Sturmlechner
2020-07-05  8:24 Joonas Niilola
2020-07-05  8:24 Joonas Niilola
2021-10-02 13:34 Joonas Niilola
2021-10-02 13:34 Joonas Niilola
2023-06-12 17:45 Andreas Sturmlechner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox